#include "observable.h"

// #define DEBUG

using namespace std;

// constructor
Observable::Observable(const string name) :
Pools()
{
	myName = name;
	
	#ifdef DEBUG
	cout << "Observable::Observable: myName = " << myName << endl;
	#endif
}

// destructor
Observable::~Observable() { }


void Observable::setPools(std::map<std::string, Pool*>* ptrPools_, std::list<Protein*>* ptrProts_) {
	Proteins = ptrProts_;
	Pools = ptrPools_;
	verify_pools();
}


Pool* Observable::getPool(std::string name) {
	return (*Pools)[name];
}


std::string Observable::get_formattedValue() {
	char zahl[128];
	sprintf(zahl, "%.3lf", get_value());
	return(std::string(zahl));
}
